import { OnInit, ElementRef, ChangeDetectorRef, OnDestroy, SimpleChanges, OnChanges, EventEmitter } from '@angular/core';
import { TraxService } from '../../../services/trax.service';
import { ToastService } from 'tango-app-ui-shared';
import { ActivatedRoute, Router } from '@angular/router';
import { NgbModal } from '@ng-bootstrap/ng-bootstrap';
import * as i0 from "@angular/core";
export declare class AssignComponent implements OnInit, OnDestroy, OnChanges {
    private SopService;
    private dialog;
    private router;
    private route;
    private toast;
    private changedetector;
    fileInput: ElementRef;
    fileInput1: ElementRef;
    bulkupload: any;
    afterValidation: any;
    confirmUser: any;
    configData: any;
    uploadData: boolean;
    configureType: any;
    dayjs: any;
    tableData: any;
    tableLoading: any;
    pageValue: any;
    offset: number;
    recordsTotal: any;
    sortColumn: any;
    sortBy: any;
    assignType: any;
    size: any;
    offsetvalue: number;
    recordsCount: any;
    serData: any;
    excelUserData: any;
    showImage: boolean;
    clientId: any;
    type: string;
    obj: any;
    tableFilter: any;
    disabledQuestion: boolean;
    assignSingle: any;
    assignGroup: any;
    singleAssign: any;
    groupAssign: any;
    paginationSize: number[];
    userData: any;
    idList: any;
    tableArray: any;
    storeList: any;
    private detach;
    tableLoading1: boolean;
    currentValue: any;
    showEdit: boolean;
    upload: any;
    reupload: boolean;
    userCoverage: boolean;
    storeCoverage: boolean;
    configstore: any;
    InialType: any;
    checklistId: any;
    dataToParent: EventEmitter<boolean>;
    constructor(SopService: TraxService, dialog: NgbModal, router: ActivatedRoute, route: Router, toast: ToastService, changedetector: ChangeDetectorRef);
    ngOnInit(): void;
    ngOnChanges(changes: SimpleChanges): void;
    coverage: any;
    getConfigData(): void;
    ngOnDestroy(): void;
    getInitialData(data: any, change?: any): void;
    userDetailsV2(data?: any): void;
    getTableData(change?: any): void;
    excelData: any;
    showStore: boolean;
    onFileUpload(event: any, reupload?: any): void;
    Reupload(): void;
    validatedStore: any;
    inactiveStores: any;
    showInactive: any;
    validateDetails(): void;
    closeactivepopup(): void;
    searchKey: any;
    getassignDropdown(change?: any): void;
    getStoreCounts(data: any): number;
    userDetails(): void;
    downloadTemplateV2(): void;
    onPageChange(event: any): void;
    onPageSizeChange(event: any): void;
    dropDown: boolean;
    openDropdown(event: any): void;
    closeDropdown(): void;
    searchTable: any;
    searchTableData(): void;
    sortData(value: any): void;
    updateAssign(event: any): void;
    removedChip(event: any): void;
    bulkuploadModel(): void;
    excelError: any;
    afterUplload(data?: any): void;
    confirmUserpopup(): void;
    onDragLeave(event: DragEvent): void;
    onDragOver(event: DragEvent): void;
    onDrop(event: DragEvent): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<AssignComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AssignComponent, "lib-assign", never, { "configData": { "alias": "configData"; "required": false; }; "uploadData": { "alias": "uploadData"; "required": false; }; "configureType": { "alias": "configureType"; "required": false; }; }, { "dataToParent": "dataToParent"; }, never, never, false, never>;
}
